Package com.macrofocus.high_d.parallelcoordinates

# Class AbstractParallelCoordinatesModel<Color,O,C>

java.lang.Object
com.macrofocus.high_d.parallelcoordinates.AbstractParallelCoordinatesModel<Color,O,C>

All Implemented Interfaces:
  `ParallelCoordinatesModel<Color,O,C>`, `com.macrofocus.visual.VisualObjects<O>`

Direct Known Subclasses:
  `DefaultParallelCoordinatesModel`

public abstract class AbstractParallelCoordinatesModel<Color,O,C> extends Object implements ParallelCoordinatesModel<Color,O,C>
This class provides a skeletal implementation of the ParallelCoordinatesModel interface to minimize the effort required to implement this interface.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractParallelCoordinatesModel()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addParallelCoordinatesListener(ParallelCoordinatesListener listener)`
  Add a listener for receiving interesting events about changes in the model.
  `void`
  `removeParallelCoordinateListener(ParallelCoordinatesListener listener)`
  Remove a listener from the list of listeners that should be notified about changes in the model.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.macrofocus.high_d.parallelcoordinates.ParallelCoordinatesModel

  `getAxisHierarchy, getAxisLocations, getColoring, getColorMapping, getFilter, getObject, getObjectCount, getProbing, getSelectedAxis, getSelection, getSettings, getVisual, isHidden, makeCommonRange, makeDataRange, resetRanges, setHidden, showAllNumerical, unhideAllAxis`

- ## Constructor Details

  - ### AbstractParallelCoordinatesModel

    public AbstractParallelCoordinatesModel()

- ## Method Details

  - ### addParallelCoordinatesListener

    public void addParallelCoordinatesListener(ParallelCoordinatesListener listener)
    Add a listener for receiving interesting events about changes in the model.
    Specified by:
      `addParallelCoordinatesListener` in interface `ParallelCoordinatesModel<Color,O,C>`
    Parameters:
      `listener` - the listener to add.

  - ### removeParallelCoordinateListener

    public void removeParallelCoordinateListener(ParallelCoordinatesListener listener)
    Remove a listener from the list of listeners that should be notified about changes in the model.
    Specified by:
      `removeParallelCoordinateListener` in interface `ParallelCoordinatesModel<Color,O,C>`
    Parameters:
      `listener` - the listener to remove.